import { Controller, Inject, Post, Files, Fields } from '@midwayjs/core';
import { FileService } from '../service/file.service';
import { Context } from '@midwayjs/koa';

@Controller('/')
export class FileController {
  @Inject()
  service: FileService;

  @Inject()
  ctx: Context;

  @Post('/:appid/upload')
  @Post('/:appid/:catalog/upload')
  @Post('/:appid/:catalog/:item/upload')
  async upload(@Files() files, @Fields() fields) {
    const params = this.ctx.params;
    const result = await this.service.upload(files, fields, params);
    return result;
  }
}
